about summary refs log tree commit diff
path: root/pkgs/applications/graphics/gqview
diff options
context:
space:
mode:
Diffstat (limited to 'pkgs/applications/graphics/gqview')
-rwxr-xr-xpkgs/applications/graphics/gqview/builder.sh10
-rw-r--r--pkgs/applications/graphics/gqview/default.fix22
2 files changed, 32 insertions, 0 deletions
diff --git a/pkgs/applications/graphics/gqview/builder.sh b/pkgs/applications/graphics/gqview/builder.sh
new file mode 100755
index 000000000000..be377db22781
--- /dev/null
+++ b/pkgs/applications/graphics/gqview/builder.sh
@@ -0,0 +1,10 @@
+#! /bin/sh
+
+buildinputs="$pkgconfig $gtk $libpng"
+. $stdenv/setup || exit 1
+
+tar xvfz $src || exit 1
+cd gqview-* || exit 1
+./configure --prefix=$out || exit 1
+make || exit 1
+make install || exit 1
diff --git a/pkgs/applications/graphics/gqview/default.fix b/pkgs/applications/graphics/gqview/default.fix
new file mode 100644
index 000000000000..e9edb7f0bd00
--- /dev/null
+++ b/pkgs/applications/graphics/gqview/default.fix
@@ -0,0 +1,22 @@
+{stdenv, fetchurl, pkgconfig, gtk, libpng}:
+
+assert !isNull pkgconfig && !isNull gtk && !isNull png;
+# Note that we cannot just copy gtk's png attribute, since gtk might
+# not be linked against png.
+assert libpng == gtk.libpng;
+
+derivation {
+  name = "gqview-1.3.5";
+  system = stdenv.system;
+
+  builder = ./builder.sh;
+  src = fetchurl {
+    url = http://heanet.dl.sourceforge.net/sourceforge/gqview/gqview-1.3.5.tar.gz;
+    md5 = "c44687bdd636ea6e5133fb936abf880a";
+  };
+
+  stdenv = stdenv;
+  pkgconfig = pkgconfig;
+  gtk = gtk;
+  libpng = libpng;
+}